org.apache.ignite.internal.processors.query

## Class GridRunningQueryInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.query.GridRunningQueryInfo

    public class GridRunningQueryInfo
    extends Object

Query descriptor.

### Constructor Summary

Constructors
Constructor and Description
`GridRunningQueryInfo(long id, UUID nodeId, String qry, GridCacheQueryType qryType, String schemaName, long startTime, long startTimeNanos, GridQueryCancel cancel, boolean loc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Cancel query.
`boolean` `cancelable()`
`String` `globalQueryId()`
`long` `id()`
`boolean` `local()`
`boolean` `longQuery(long curTime, long duration)`
`UUID` `nodeId()`
`String` `query()`
`GridCacheQueryType` `queryType()`
`long` `requestId()`
`void` `requestId(long reqId)`
`QueryRunningFuture` `runningFuture()`
`String` `schemaName()`
`Span` `span()`
`long` `startTime()`
`long` `startTimeNanos()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridRunningQueryInfo

    public GridRunningQueryInfo(long id,
                                UUID nodeId,
                                String qry,
                                GridCacheQueryType qryType,
                                String schemaName,
                                long startTime,
                                long startTimeNanos,
                                GridQueryCancel cancel,
                                boolean loc)

Constructor.

Parameters:
  `id` - Query ID.
  `nodeId` - Originating node ID.
  `qry` - Query text.
  `qryType` - Query type.
  `schemaName` - Schema name.
  `startTime` - Query start time.
  `startTimeNanos` - Query start time in nanoseconds.
  `cancel` - Query cancel.
  `loc` - Local query flag.

### Method Detail

#### id

    public long id()

Returns:
  Query ID.

#### globalQueryId

    public String globalQueryId()

Returns:
  Global query ID.

#### query

    public String query()

Returns:
  Query text.

#### queryType

    public GridCacheQueryType queryType()

Returns:
  Query type.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### startTime

    public long startTime()

Returns:
  Query start time.

#### startTimeNanos

    public long startTimeNanos()

Returns:
  Query start time in nanoseconds.

#### longQuery

    public boolean longQuery(long curTime,
                             long duration)

Parameters:
  `curTime` - Current time.
  `duration` - Duration of long query.
Returns:
  `true` if this query should be considered as long running query.

#### cancel

    public void cancel()

Cancel query.

#### runningFuture

    public QueryRunningFuture runningFuture()

Returns:
  Query running future.

#### cancelable

    public boolean cancelable()

Returns:
  `true` if query can be cancelled.

#### local

    public boolean local()

Returns:
  `true` if query is local.

#### nodeId

    public UUID nodeId()

Returns:
  Originating node ID.

#### span

    public Span span()

Returns:
  Span of the running query.

#### requestId

    public long requestId()

Returns:
  Request ID.

#### requestId

    public void requestId(long reqId)

Parameters:
  `reqId` - Request ID.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021